/*
 * Library interface to Linux x86 Performance-Monitoring Counters.
 *
 * Copyright (C) 1999  Mikael Pettersson
 */
#ifndef __LIB_PERFCTR_H
#define __LIB_PERFCTR_H

#include "asm/perfctr.h"

extern int perfctr_info(struct perfctr_info*);
extern int perfctr_read_self(struct perfctr_state*);
extern int perfctr_control_self(struct perfctr_control*);
extern int perfctr_stop_self(void);
extern int perfctr_unlink_self(void);
extern int perfctr_attach(int);
extern int perfctr_read_attached(int, struct perfctr_state*);
extern int perfctr_control_attached(int, struct perfctr_control*);
extern int perfctr_stop_attached(int);
extern int perfctr_unlink_attached(int);

#endif /* __LIB_PERFCTR_H */
